XScreenSaver(1)

NAME
glslideshow - slideshow of images using smooth zooming and fades

SYNOPSIS
glslideshow [-display host:display.screen] [-visual visual] [-window] [-root] [-duration seconds] [-zoom percent] [-pan seconds] [-fade seconds] [-speed float] [-delay usecs] [-cutoff int] [-titles] [-fps] [-debug] [-wireframe]

DESCRIPTION
Loads a random sequence of images and smoothly scans and zooms around in each, fading from pan to pan. This program requires a good video card capable of supporting large textures. To specify the directory that images are loaded from, run xscreensaver-demo(1) and click on the "Advanced" tab.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-duration seconds
    How long each image will be displayed before loading a new one. Default 30 seconds.

-pan seconds
    How long each pan should last. Default 6 seconds.

-fade seconds
    How long each fade (in and out) should last. Default 2 seconds. If set to 0, then no cross-fading will be done (all transitions will be jump-cuts.) Note that fades are included in the pan, so -pan should always be longer than -fade (it is auto-corrected if not.)

-zoom number
    Amount to zoom and pan as a percentage. Default: 75, meaning that 75% or more of each image will always be visible. If set to 100%, then the images will always fill the screen, and no panning or zooming will occur. Images will still smoothly fade from one to another, however, assuming -fade is non-zero.

-speed float
    Speed up or slow down. 2 means twice as fast; 0.5 means half as fast.

-delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds.).

-cutoff number
    If the frame rate drops below this number of frames per second, then certain features will be turned off automatically (first zooming, then, if the low frame rates persist, fading.) Default 5. The idea here is that if your machine can't maintain a decent frame rate, then it must not have fast 3D hardware, so we might as well behave in a simpler manner. Set this to 0 to disable this check.

-titles
    Whether to print the file name of the current image in the upper left corner.

-fps
    Whether to show a frames-per-second display at the bottom of the screen.

-debug
    Prints debugging info to stderr.

-wireframe
    Instead of loading images, simply animates representative grids instead.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver-demo(1) xscreensaver-getimage(1) xscreensaver(1)

COPYRIGHT
Copyright © 2003 by Jamie Zawinski, based on an earlier version that was Copyright © 2002 by Mike Oliphant. Originally derived from flipscreen3d(1), which was Copyright © 2001 Ben Buxton. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski and Mike Oliphant.